# EpayNC for Magento

EpayNC for Magento is an open source plugin that links e-commerce websites based on Magento 1 to EpayNC secure payment gateway developed by [Lyra Network](https://www.lyra.com/).

## Installation & upgrade

If plugin is already installed, search for Epaync in your Magento root directory and delete found files before upgrade.

- Unzip module in your Magento 1 root directory.
- Refresh Magento cache by deleting all files from [MAGENTO]/var/cache/ or through Magento admin panel (System / Cache management menu).

## Configuration

In the Magento admin panel:

- Go to System > Configuration menu.
- Open SALES > Payment methods section.
- If your Magento installation has several websites, shops or views, change the current configuration scope in the upper-left corner to the desired configuration.
- Click to expand the EpayNC section.
- If you installed an older version of the EpayNC payment module, click "Reset" to take into account the new module features.

## License

Each EpayNC payment module source file included in this distribution is licensed under the Open Software License (OSL 3.0).

Please see LICENSE.txt for the full text of the OSL 3.0 license. It is also available through the world-wide-web at this URL: https://opensource.org/licenses/osl-3.0.php.