<?php
/**
 * EpayNC V2-Payment Module version 1.9.4 for Magento 1.4-1.9. Support contact : sav@csb.nc.
 *
 * @category  Payment
 * @package   Epaync
 * @author    Lyra Network (http://www.lyra-network.com/)
 * @copyright 2014-2019 Lyra Network and contributors
 * @license   
 */

namespace Lyra\Epaync\Model\Api\Ws;

class CancelRefundResponse extends WsResponse
{
    /**
     * @var CancelRefundResult $cancelRefundResult
     */
    private $cancelRefundResult = null;

    /**
     * @return CancelRefundResult
     */
    public function getCancelRefundResult()
    {
        return $this->cancelRefundResult;
    }

    /**
     * @param CancelRefundResult $cancelRefundResult
     * @return CancelRefundResponse
     */
    public function setCancelRefundResult($cancelRefundResult)
    {
        $this->cancelRefundResult = $cancelRefundResult;
        return $this;
    }
}
