<?php
/**
 * EpayNC V2-Payment Module version 1.9.4 for Magento 1.4-1.9. Support contact : sav@csb.nc.
 *
 * @category  Payment
 * @package   Epaync
 * @author    Lyra Network (http://www.lyra-network.com/)
 * @copyright 2014-2019 Lyra Network and contributors
 * @license   
 */

namespace Lyra\Epaync\Model\Api\Ws;

class UpdateRefundResponse extends WsResponse
{
    /**
     * @var UpdateRefundResult $updateRefundResult
     */
    private $updateRefundResult = null;

    /**
     * @return UpdateRefundResult
     */
    public function getUpdateRefundResult()
    {
        return $this->updateRefundResult;
    }

    /**
     * @param UpdateRefundResult $updateRefundResult
     * @return UpdateRefundResponse
     */
    public function setUpdateRefundResult($updateRefundResult)
    {
        $this->updateRefundResult = $updateRefundResult;
        return $this;
    }
}
